package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StatusAkreditasi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "StatusAkreditasi_M")
public class StatusAkreditasiVO extends BaseMasterVO {
	@Caption(value="Kode Status Akreditasi")
	private Byte kdStatusAkreditasi;

	public void setKdStatusAkreditasi(Byte kdStatusAkreditasi) {
		this.kdStatusAkreditasi = kdStatusAkreditasi;
	}

	@Column(name = "KdStatusAkreditasi", nullable = false )
	public Byte getKdStatusAkreditasi(){
		return this.kdStatusAkreditasi;
	}

	@Caption(value="QStatus Akreditasi")
	private Byte qStatusAkreditasi;

	public void setqStatusAkreditasi(Byte qStatusAkreditasi) {
		this.qStatusAkreditasi = qStatusAkreditasi;
	}

	@Column(name = "QStatusAkreditasi", nullable = false )
	public Byte getqStatusAkreditasi(){
		return this.qStatusAkreditasi;
	}

	@Caption(value="Status Akreditasi")
	private String statusAkreditasi;

	public void setStatusAkreditasi(String statusAkreditasi) {
		this.statusAkreditasi = statusAkreditasi;
	}

	@Column(name = "StatusAkreditasi", nullable = false , length = 30)
	public String getStatusAkreditasi(){
		return this.statusAkreditasi;
	}


}

